## org.hibernate.cfg.annotations
Class IdBagBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.BagBinder
              org.hibernate.cfg.annotations.IdBagBinder

    public class IdBagBinder

extends BagBinder

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, inheritanceStatePerClass, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`IdBagBinder()`

Method Summary

`protected boolean`

`bindStarToManySecondPass(Map persistentClasses, org.hibernate.annotations.common.reflection.XClass collType, Ejb3JoinColumn[] fkJoinColumns, Ejb3JoinColumn[] keyColumns, Ejb3JoinColumn[] inverseColumns, Ejb3Column[] elementColumns, boolean isEmbedded, org.hibernate.annotations.common.reflection.XProperty property, boolean unique, TableBinder associationTableBinder, boolean ignoreNotFound, Mappings mappings)`
return true if it's a Fk, false if it's an association table

`protected Collection` `createCollection(PersistentClass persistentClass)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder

`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, getCollection, getCollectionBinder, getMappings, getSecondPass, isHibernateExtensionMapping, isMap, setAccessType, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setDeclaringClass, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInheritanceStatePerClass, setInsertable, setInverseJoinColumns, setIsHibernateExtensionMapping, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyHolder, setPropertyName, setSort, setSqlOrderBy, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdBagBinder

    public IdBagBinder()

Method Detail

### createCollection

    protected Collection createCollection(PersistentClass persistentClass)

  Overrides:
    `createCollection` in class `BagBinder`

### bindStarToManySecondPass

    protected boolean bindStarToManySecondPass(Map persistentClasses,
                                               org.hibernate.annotations.common.reflection.XClass collType,
                                               Ejb3JoinColumn[] fkJoinColumns,
                                               Ejb3JoinColumn[] keyColumns,
                                               Ejb3JoinColumn[] inverseColumns,
                                               Ejb3Column[] elementColumns,
                                               boolean isEmbedded,
                                               org.hibernate.annotations.common.reflection.XProperty property,
                                               boolean unique,
                                               TableBinder associationTableBinder,
                                               boolean ignoreNotFound,
                                               Mappings mappings)

  Description copied from class: `CollectionBinder`
  return true if it's a Fk, false if it's an association table

  Overrides:
    `bindStarToManySecondPass` in class `CollectionBinder`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.